//
//  Abstract buffer interface
//
//  Project: Thread optimized Ring Buffer 
//  lang.dennis @ comcast.net 
//  http://home.comcast.net/~lang.dennis/
//


#pragma once

template <class T>
class IBuffer
{
    virtual bool Put(const T& value) = 0;
    virtual bool Get(T& value) = 0;
}; 